<?php
$t = "Мои новости";
include_once '../core/core.php';
if (!$user->auth()){
	include_once '../core/head.php';
	echo '<div class="error">Необходимо пройти войти в систему для посещения данной страницы.</div>';
	echo h();
	include_once '../core/foot.php';
	die();
}
if ($act == "add"){
	if (isset($_POST["add"])){
		if (!isset($_POST["title"]) || empty($_POST["title"])){
			$core->regError("Введите заголовок новости","Введите заголовок новости",1,"cp_news");
		} elseif (!isset($_POST["sms"]) || empty($_POST["sms"])){
			$core->regError("Введите текст новости","Введите текст новости",1,"cp_news");
		} else {
			$db->Query("INSERT INTO `news`(`sid`, `uid`, `ntitle`, `ntext`, `ntime`) VALUES ('".$user->uid."','-1','".$core->FilterString($_POST["title"])."','".$core->FilterString($_POST["sms"])."','".(time())."')");
			include_once '../core/head.php';
			echo '<div class="success">Ваша новость успешно опубликована.</div>';
		}
	}
	$t = "Добавление новости";
	include_once '../core/head.php';
	if ($core->isBooleanError()){
		foreach ($core->showError() as $csE){
			echo '<div class="error">Произошла ошибка при обработке операции<br><b>КОД: '.$csE["code"].'</b><br>Подробнее: '.$csE["utxt"].'</div>';
		}	
	}
	echo '<div class="title">Добавление новости</div>';
	echo '<form method="POST">
	Заголовок:<br>
	<input type="text" name="title" value="'.$core->FilterString((isset($_POST["title"])?$_POST["title"]:null)).'"><br>
	Текст:<br>
	<textarea name="sms">'.$core->FilterString((isset($_POST["sms"])?$_POST["sms"]:null)).'</textarea><br>
	<input type="submit" name="add" value="Отправить">
	</form>';
	echo b("/news.lm");
	echo hcp();
	include_once '../core/foot.php';
	die();
} elseif ($act == "del" && $id != 0){
	if ($db->Count("news","WHERE `sid` = '".$user->uid."' AND `nid` = '".$id."'") == 0){
		$t = "Ошибка удаления новости";
		include_once '../core/head.php';
		echo '<div class="error">Данная новость не существует.</div>';
		echo b("/news.lm");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	if (isset($_POST["delete"])){
		$db->Delete("news","WHERE `sid` = '".$user->uid."' AND `nid` = '".$id."'");
		$t = "Удаление новости";
		include_once '../core/head.php';
		echo '<div class="success">Новость успешно удалена</div>';
		echo b("/news.lm");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
	$news = $db->getObject("SELECT * FROM `news` WHERE `sid` = '".$user->uid."' AND `nid` = '".$id."'");
	$t = "Удаление новости";
	include_once '../core/head.php';
	echo '<div class="title">Удаление новости</div>';
	echo '<div class="form"><form method="POST">
	Вы действительно хотите удалить новость «<i><b>'.$news->ntitle.'</b></i>»?<br>
	<input type="submit" name="delete" value="Да, удалить">
	</form></div>';
	echo b("/news.lm?id=".$id);
	echo hcp();
	include_once '../core/foot.php';
	die();
}
if ($id != 0){
	if ($db->Count("news","WHERE `sid` = '".$user->uid."' AND `nid` = '".$id."'") == 0){
		include_once '../core/head.php';
		echo '<div class="error">Данная новость не существует.</div>';
	} else {
		include_once '../core/head.php';
		$news = $db->getObject("SELECT * FROM `news` WHERE `sid` = '".$user->uid."' AND `nid` = '".$id."'");
		echo '<div class="title">'.$news->ntitle.'</div>';
		echo '<div class="text">'.$news->ntext.'</div>';
		echo '<div class="text">Добавлено: '.$core->RealTime($news->ntime).'</div>';
		echo l("/news.lm?id=".$id."&act=del","Удалить новость","trash",false,false,"Для удаления данной новости нажмите здесь.");
		echo b("/news.lm");
		echo hcp();
		include_once '../core/foot.php';
		die();
	}
}
include_once '../core/head.php';
echo '<div class="title">Мои новости</div>';
if ($db->Count("news","WHERE `sid` = '".$user->uid."'") == 0){
	echo '<div class="error">Новостей пока что нету</div>';
}

$max = 10;
$k_post = $db->Count("news","WHERE `sid` = '".$user->uid."'");
$k_page = $core->k_page($k_post,$max);
$page = $core->page($k_page);
$start = $max*$page-$max;

$news = $db->Query("SELECT * FROM `news` WHERE `sid` = '".$user->uid."' ORDER BY `nid` DESC LIMIT $start, $max"); 
while ($ns = mysqli_fetch_assoc($news)){
	echo l("/news.lm?id=".$ns["nid"],$ns["ntitle"],"rombe","link",$core->RealTime($ns["ntime"]),mb_strimwidth($ns["ntext"],0,60,"..."),1);
}
if($k_page>1) echo $core->str('?',$k_page,$page);
echo l("/news.lm?act=add","Добавить новую новость","plus",false,false,"Добавиьте вашу новую новость одним мгновением");
echo hcp();
include_once '../core/foot.php';
?>